Model
List models
GET
/
model-monitor
/
v2
/
api
/
models
List models
curl --request GET \
--url https://mycluster.domino.tech/model-monitor/v2/api/models \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/model-monitor/v2/api/models"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/model-monitor/v2/api/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"classificationModelCount": 123,
"filteredModelCount": 123,
"modelDashboardItems": [
{
"createdAt": 123,
"dataDriftChecks": [
{
"checkedOn": 123,
"numberOfPredictions": 123,
"scheduledCheckId": "<string>",
"totalNumberOfVariables": 123,
"variablesDrifted": [
"<string>"
]
}
],
"id": "<string>",
"isDataDriftCheckScheduled": true,
"isModelQualityCheckScheduled": true,
"modelQualityChecks": [
{
"checkedOn": 123,
"matchedRowCount": 123,
"metrics": [
{
"isFailed": true,
"name": "<string>",
"value": 123
}
],
"scheduledCheckId": "<string>"
}
],
"modelStatus": "draft",
"modelType": "classification",
"name": "<string>",
"version": "<string>",
"permissions": {
"canEditAttributes": true,
"canUnregisterMonitoring": true
},
"sourceType": "domino_workbench",
"tags": [
{
"id": "<string>",
"tagName": "<string>"
}
]
}
],
"pagination": {
"pageNumber": 123,
"pageSize": 123,
"sortOn": "column_name",
"sortOrder": 123
},
"regressionModelCount": 123,
"searchQuery": "<string>",
"tagsCount": [
{
"id": "<string>",
"tagName": "<string>",
"count": 123
}
]
}Authorizations
DominoApiKeyAuthDmmApiKeyAuthcookieAuthBearerAuth
Query Parameters
comma-separated values of tag ids to filter by
Available options:
created_at, updated_at The sorting order, 1 for ascending and -1 for descending
Available options:
1, -1 Type of the model
Response
Successfully fetched the Model.
List models by pagination.
Number of Classification Models.
Number of filtered Models.
Model Dashboard item set which was fetched.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Number of Regression Models.
Search query for the model names.
Number of models per tag.
Show child attributes
Show child attributes
Last modified on August 27, 2026
Related topics
ListList tagsManage models with model registryReturns list of Model APIs deployed from a specific Registered ModelWas this page helpful?
⌘I
List models
